/*
 * jkeytool - Main.java -
 * Copyright © 2009 David Roden
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package net.pterodactylus.jkeytool.main;

import net.pterodactylus.jkeytool.core.Core;
import net.pterodactylus.jkeytool.gui.MainFrame;
import de.ina.util.version.Version;

/**
 * Starter for the jkeytool application.
 *
 * @author David Roden &lt;droden@gmail.com&gt;
 */
public class Main {

	/** The version of jkeytool. */
	private static final Version VERSION = new Version(0, 0, 1);

	/**
	 * Returns the version of jkeytool.
	 *
	 * @return The version of jkeytool
	 */
	public static Version getVersion() {
		return VERSION;
	}

	/**
	 * JVM main entry method.
	 *
	 * @param arguments
	 *            The command-line arguments
	 */
	public static void main(String[] arguments) {
		Core core = new Core();
		MainFrame mainFrame = new MainFrame(core);
		core.addCoreListener(mainFrame);
		mainFrame.show();
	}

}
